summaryrefslogtreecommitdiffstats
path: root/development/eclipse/eclipse.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'development/eclipse/eclipse.SlackBuild')
-rw-r--r--development/eclipse/eclipse.SlackBuild19
1 files changed, 13 insertions, 6 deletions
diff --git a/development/eclipse/eclipse.SlackBuild b/development/eclipse/eclipse.SlackBuild
index 00209472d6..7031ff0aa7 100644
--- a/development/eclipse/eclipse.SlackBuild
+++ b/development/eclipse/eclipse.SlackBuild
@@ -24,11 +24,18 @@
# This script is just a binary repackaging.
PRGNAM=eclipse
-VERSION=3.5.2
-ARCH=${ARCH:-i586}
+VERSION=3.6
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
@@ -43,14 +50,14 @@ cd $PKG/opt
# Untar source code tarball according with ARCH value
# ARCH can be 'i586' or 'x86_64'
if [ "$ARCH" = "x86_64" ]; then
- tar xvf $CWD/$PRGNAM-SDK-$VERSION-linux-gtk-$ARCH.tar.gz || exit 1
+ tar xvf $CWD/$PRGNAM-SDK-$VERSION-linux-gtk-$ARCH.tar.gz
+elif [ "$ARCH" = "i586" ]; then
+ tar xvf $CWD/$PRGNAM-SDK-$VERSION-linux-gtk.tar.gz
else
- tar xvf $CWD/$PRGNAM-SDK-$VERSION-linux-gtk.tar.gz || exit 1
- ARCH=i586
+ printf "$ARCH is not supported...\n" ; exit 1
fi
chown -R root:root .
-
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
-exec chmod 755 {} \; -o \